# Generated from source-sans-pro-rails-0.7.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name source-sans-pro-rails

Name: rubygem-%{gem_name}
Version: 0.7.0
Release: 1%{?dist}
Summary: The Adobe Source Sans Pro font in the asset pipeline
License: MIT and SIL Open Font License
URL: https://github.com/veracross/source-sans-pro-rails
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(sass-rails)
# BuildRequires: rubygem(tzinfo)
BuildArch: noarch

%description
Add Adobe's Source Sans Pro Font to your Rails app through the asset pipeline.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.travis.yml
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/app
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/source-sans-pro-rails.gemspec
%{gem_instdir}/test

%changelog
* Wed Sep 15 2021 mockbuilder - 0.7.0-1
- Initial package
